class CreateCommitLogs < ActiveRecord::Migration[5.2]
  def change
    create_table :commit_logs do |t|
      t.references :user
      t.references :project
      t.integer :repository_id
      t.string :name
      t.string :full_name
      t.string :commit_id
      t.string :ref
      t.string :message
      t.timestamps
    end

    add_index :commit_logs, :commit_id
  end
end
